# SPDX-FileCopyrightText: 2020 Mintlab B.V.
#
# SPDX-License-Identifier: EUPL-1.2

# AUTOGENERATED FILE - No need to edit
# GENERATED AT: 2024-04-03T19:02:05"
# Re-create by running 'generate-routes' command
# Run 'generate-routes --help' for more options

import json
import pytest
from minty import exceptions
from unittest import mock
from zsnl_case_management_http.views import apidocs


class TestApidocsViews:
    def test_apidocs_fileserver(self):
        mock_request = mock.MagicMock()
        mock_request.matchdict = {"filename": "openapi30.json"}
        return_value = apidocs.apidocs_fileserver(mock_request)

        docs = json.loads(return_value.body)
        assert isinstance(docs, dict)

        assert return_value.status_code == 200

    def test_apidocs_fileserver_filenotfound(self):
        mock_request = mock.MagicMock()
        mock_request.matchdict = {"filename": "notopenapi.json"}

        with pytest.raises(exceptions.NotFound):
            apidocs.apidocs_fileserver(mock_request)

    def test_apidocs_fileserver_conflict(self):
        mock_request = mock.MagicMock()
        mock_request.matchdict = {"filename": "openapi30.yaml"}

        with pytest.raises(exceptions.Conflict):
            apidocs.apidocs_fileserver(mock_request)
